Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.forms
Interface FormHandlerInterface

public abstract interface FormHandlerInterface

Method Summary
`boolean` | `acceptFieldValue(java.lang.String name, java.lang.Object value)` Is the given value appropriate for the given field ?
`void` | `fieldChanged(java.lang.String name)` The field whose name is given has changed.
`void` | `validate()` The whole form has been validated.

Method Detail

### fieldChanged

    public void fieldChanged(java.lang.String name)

  The field whose name is given has changed.

### acceptFieldValue

    public boolean acceptFieldValue(java.lang.String name,
                                    java.lang.Object value)

  Is the given value appropriate for the given field ?

### validate

    public void validate()

  The whole form has been validated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD